Help devTools pls

Fatal error: Array and string offset access syntax with curly braces is no longer supported in phar:///root/server/plugins/PocketMine-DevTools (1).phar/src/DevTools/DevTools.php on line 187
[20:09:36] [Server thread/EMERGENCY]: Произошла фатальная ошибка и сервер вышел из строя. Создание аварийного дампа
[20:09:36] [Server thread/EMERGENCY]: Пожалуйста, загрузите файл"/root/server/crashdumps/CrashDump_Mon_Aug_8-20.09.36-UTC_2022.log" в краш-архив и отправьте ссылку на страницу исправления ошибок. Дайте как можно больше информации.

Что делать??? Пишет типо не поддерживается что-то такое, как исправить??

{ } замени на [ ]

первый же сайт поо запросу в гугле

зачем вы засоряете форум своими тупыми проблемами, которые исправляются элементарнейше
image

а что непонятного? фигурные скобки не поддерживаются с версии 7.3+

не, в 7.3 еще вроде поддерживаются. просто варнинг шлет



да, я чет запутался

Вспомнил обсуждение с Маруселем, что его ядро на 7.3 чисто живет и подумал, что в 7.3 поддержку сняли

ваще плевать, никогда так не писал и тем более на пхп не вернусь

Ладно без матов


Гуглом дорогой мой научись пользоваться

тут и без гугла можно обойтись

достаточно просто перевести ошибку

Но конечно что я заметил, не переводите логирование на русский(

:/Нет

Я бы с удовольствием убрал 7.3 но партнёры не хотят. А так вообще я сам на 7.4 юзаю

майнкрафтеры подростки, сидящие на 1.1.5

партнёры

кринжота

Да мне пох кто там, 20 челов по 700р заплатили, так что не важно)

я об этой переписке